curl -X GET https://app.trypost.it/api/api-keys \
-H "Authorization: Bearer tp_your_api_key"
{
"data": [
{
"id": "f6a7b8c9-d0e1-2f3a-4b5c-6d7e8f9a0b1c",
"name": "Production",
"key_hint": "tp_abc1234567890...",
"status": "active",
"last_used_at": "2025-01-14 12:00:00",
"expires_at": null,
"created_at": "2025-01-01 00:00:00"
}
]
}
List all API keys for the current workspace.
curl -X GET https://app.trypost.it/api/api-keys \
-H "Authorization: Bearer tp_your_api_key"
{
"data": [
{
"id": "f6a7b8c9-d0e1-2f3a-4b5c-6d7e8f9a0b1c",
"name": "Production",
"key_hint": "tp_abc1234567890...",
"status": "active",
"last_used_at": "2025-01-14 12:00:00",
"expires_at": null,
"created_at": "2025-01-01 00:00:00"
}
]
}
Show child attributes
active or expired.curl -X GET https://app.trypost.it/api/api-keys \
-H "Authorization: Bearer tp_your_api_key"
{
"data": [
{
"id": "f6a7b8c9-d0e1-2f3a-4b5c-6d7e8f9a0b1c",
"name": "Production",
"key_hint": "tp_abc1234567890...",
"status": "active",
"last_used_at": "2025-01-14 12:00:00",
"expires_at": null,
"created_at": "2025-01-01 00:00:00"
}
]
}